# Uses of Class
javafx.scene.Scene

Packages that use Scene
Package
Description
javafx.embed.swing
Provides the set of classes to use JavaFX inside Swing applications.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Scene in javafx.embed.swing

Methods in javafx.embed.swing that return Scene
Modifier and Type
Method
Description
`Scene`
JFXPanel.`getScene()`
Returns the JavaFX scene attached to this `JFXPanel`.
Methods in javafx.embed.swing with parameters of type Scene
Modifier and Type
Method
Description
`void`
JFXPanel.`setScene(Scene newScene)`
Attaches a `Scene` object to display in this `JFXPanel`.

## Uses of Scene in javafx.scene

Methods in javafx.scene that return Scene
Modifier and Type
Method
Description
`final Scene`
Node.`getScene()`
Gets the value of the `scene` property.
Methods in javafx.scene that return types with arguments of type Scene
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Scene>`
Node.`sceneProperty()`
The `Scene` that this `Node` is part of.

## Uses of Scene in javafx.stage

Methods in javafx.stage that return Scene
Modifier and Type
Method
Description
`final Scene`
Window.`getScene()`
Gets the value of the `scene` property.
Methods in javafx.stage that return types with arguments of type Scene
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Scene>`
Window.`sceneProperty()`
The `Scene` to be rendered on this `Window`.
Methods in javafx.stage with parameters of type Scene
Modifier and Type
Method
Description
`protected final void`
PopupWindow.`setScene(Scene scene)`
Note to subclasses: the scene used by PopupWindow is very specifically managed by PopupWindow.
`final void`
Stage.`setScene(Scene value)`
Specify the scene to be used on this stage.
`protected void`
Window.`setScene(Scene value)`
Sets the value of the `scene` property.